# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.bundeshaushalt',
 'deutschland.bundeshaushalt.api',
 'deutschland.bundeshaushalt.apis',
 'deutschland.bundeshaushalt.model',
 'deutschland.bundeshaushalt.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-bundeshaushalt',
    'version': '1.0.0',
    'description': 'Bundeshaushalt API',
    'long_description': '# bundeshaushalt\nMit unserem Tool „Bundeshaushalt digital“ können Sie sich eine visualisierte Darstellung der Haushaltsdaten der letzten Jahre anzeigen lassen. Sie können sowohl Ausgaben und Einnahmen als auch Soll- und Ist-Werte abrufen und mithilfe des Jahresvergleichs gegenüberstellen. Zudem steht Ihnen eine Vielzahl weiterer Filteroptionen zur Verfügung.<br>\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 1.0.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\nFor more information, please visit [https://github.com/anetz89/bundeshaushalt-api](https://github.com/anetz89/bundeshaushalt-api)\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[bundeshaushalt]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E bundeshaushalt\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import bundeshaushalt\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import bundeshaushalt\nfrom pprint import pprint\nfrom deutschland.bundeshaushalt.api import budget_data_api\nfrom deutschland.bundeshaushalt.model.bad_request import BadRequest\nfrom deutschland.bundeshaushalt.model.budget_data_response import BudgetDataResponse\n# Defining the host is optional and defaults to https://bundeshaushalt.de\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = bundeshaushalt.Configuration(\n    host = "https://bundeshaushalt.de"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith bundeshaushalt.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = budget_data_api.BudgetDataApi(api_client)\n    year = 2021 # int | Haushaltsjahr\n    account = "expenses" # str | <b>income</b>: Einnahmen. Die Einnahmen des Bundes setzen sich aus Steuern, sonstigen Einnahmen und Krediten zusammen.<br><b>expenses</b>: Ausgaben. Der größte Teil der Ausgaben wird für Sozialausgaben geleistet. Weitere große Ausgabeposten sind die Ausgabebereiche Verteidigung, Verkehrs- und Nachrichtenwesen und auch Bildung und Forschung.\n    quota = "actual" # str | <b>target</b>: Sollwerte <i>(default)</i><br><b>actual</b>: Istwerte. (optional)\n    unit = "function" # str | <b>single</b>: Einzelplan. <i>(default)</i><br><b>function</b>: Funktion.<br><b>group</b>: Gruppe. (optional)\n    id = "090168301" # str | ID, die sich aus der Budgetnummer ergibt. Die Budgetnummer ist eine numerische Bezeichnung im Rahmen der Gliederung des Haushaltsplans, die sich aus der Einzelplan-, Kapitel und Titelnummer zusammensetzt. Gruppen-IDs starten mit \'G-\', Funktions-IDs mit \'F-\' (optional)\n\n    try:\n        # Anfrage von Budgetdaten des Bundeshaushalts.\n        api_response = api_instance.budget_data(year, account, quota=quota, unit=unit, id=id)\n        pprint(api_response)\n    except bundeshaushalt.ApiException as e:\n        print("Exception when calling BudgetDataApi->budget_data: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://bundeshaushalt.de*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*BudgetDataApi* | [**budget_data**](docs/BudgetDataApi.md#budget_data) | **GET** /internalapi/budgetData | Anfrage von Budgetdaten des Bundeshaushalts.\n\n\n## Documentation For Models\n\n - [BadRequest](docs/BadRequest.md)\n - [BudgetDataResponse](docs/BudgetDataResponse.md)\n - [BudgetDataResponseMeta](docs/BudgetDataResponseMeta.md)\n - [BudgetDataResponseRelated](docs/BudgetDataResponseRelated.md)\n - [BudgetElement](docs/BudgetElement.md)\n - [LabeledElement](docs/LabeledElement.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nanetz@gmx.net\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in bundeshaushalt.apis and bundeshaushalt.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.bundeshaushalt.api.default_api import DefaultApi`\n- `from deutschland.bundeshaushalt.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import bundeshaushalt\nfrom deutschland.bundeshaushalt.apis import *\nfrom deutschland.bundeshaushalt.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/&lt;REPO&gt;',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
